import { Base, Type } from "igniteui-angular-core";
import { WorksheetRegionAddress } from "igniteui-angular-excel";
import { Worksheet } from "igniteui-angular-excel";
import { WorksheetCellAddress } from "igniteui-angular-excel";
/**
 * @hidden
 */
export declare class TableExpansionInfo extends Base {
    static $t: Type;
    private d;
    private b;
    private c;
    constructor();
    private static e;
    static a(a: Worksheet[], b: WorksheetRegionAddress[]): TableExpansionInfo;
    static f(a: Worksheet[], b: WorksheetRegionAddress[], c: WorksheetCellAddress): boolean;
    g(): void;
}
